## ros-indigo-rwt-plot 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rwt_plot)

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  rosbridge_server
  rospy
  rwt_utils_3rdparty
  std_msgs
  roswww
)

catkin_package(
  CATKIN_DEPENDS geometry_msgs rosbridge_server rospy std_msgs rwt_utils_3rdparty roswww
)
include_directories(
  ${catkin_INCLUDE_DIRS}
)

install(PROGRAMS
  scripts/array.py
  scripts/cos.py
  scripts/random_float.py
  scripts/random_point.py
  scripts/sin.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY www/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/www
)

=== debian/changelog ===
ros-indigo-rwt-plot (0.0.3-1trusty) trusty; urgency=high



 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Fri, 30 Sep 2016 15:00:00 -0000

ros-indigo-rwt-plot (0.0.2-1trusty) trusty; urgency=high

  * remove old rosbuild files
  * reomve depends to the packages released from CDN
  * Add maintainer. Consistent pkg versions. Sort out manifest format.
  * use tork-a/roswww
  * don't make functions within a loop
  * catkinize visualization_rwt packages
  * changes the color according to the level of the statuses #15 <https://github.com/tork-a/visualization_rwt/issues/15>
  * fixing conflict
  * supporting ticks #15 <https://github.com/tork-a/visualization_rwt/issues/15>:
    
      * #15 <https://github.com/tork-a/visualization_rwt/issues/15>: plotting data
      * #17 <https://github.com/tork-a/visualization_rwt/issues/17>: using color category of d3
      * #16 <https://github.com/tork-a/visualization_rwt/issues/16>: formatting second from epic time
      * #16 <https://github.com/tork-a/visualization_rwt/issues/16>: implementing x-scale moving
      * #16 <https://github.com/tork-a/visualization_rwt/issues/16>: fixing the increment bug
      * fixing xaxis scalling when the data is not enough to fill max_data
      * using timestamp for x axis
      * #12 <https://github.com/tork-a/visualization_rwt/issues/12>: sorting the topics
      * fix default http port from 9090 -> 8888
      * add rosdep rosbridge_suite
      * #8 <https://github.com/tork-a/visualization_rwt/issues/8>: using timestamp of header if possible
      * #7 <https://github.com/tork-a/visualization_rwt/issues/7>: updating README
      * #5 <https://github.com/tork-a/visualization_rwt/issues/5>: introducing new function: axisMinMaxWithMargin
      * #5 <https://github.com/tork-a/visualization_rwt/issues/5>: adding auto_scale_margin
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: using floor
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: fixing rwt_plot
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: supporting timestamp data
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: supporting ros
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: supporting auto scale
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: deprecate multi plot2
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: supporting multi plot
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: supporting basic_sample
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: implementing rwt_plot using d3
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: adding less
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: adding d3
      * #4 <https://github.com/tork-a/visualization_rwt/issues/4>: fixing indentation
      * #3 <https://github.com/tork-a/visualization_rwt/issues/3>: fixing ROSLIB.Time in example
      * #3 <https://github.com/tork-a/visualization_rwt/issues/3>: using RingBuffer for sequential data
      * #3 <https://github.com/tork-a/visualization_rwt/issues/3>: implementing RingBuffer
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: adding some documentation
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: adding Profile.js
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: running jshint
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: adding grunt-contrib-lss
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: adding default task
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: adding jshint task
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: adding build task
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: adding Gruntfile.js which include concat and uglify task
      * #2 <https://github.com/tork-a/visualization_rwt/issues/2>: adding package.json
    
  * renaming js_utils -> rwt_utils_3rdparty
  * the very first version of rwt_plot
  * Contributors: Yuki Furuta, Isaac Saito, Kei Okada, Ryohei Uead

 -- Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>  Fri, 30 Sep 2016 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rwt-plot
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-rosbridge-server, ros-indigo-rospy, ros-indigo-roswww, ros-indigo-rwt-utils-3rdparty, ros-indigo-std-msgs
Homepage: http://wiki.ros.org/rwt_plot
Standards-Version: 3.9.2

Package: ros-indigo-rwt-plot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-rosbridge-server, ros-indigo-rospy, ros-indigo-roswww, ros-indigo-rwt-utils-3rdparty, ros-indigo-std-msgs
Description: rwt_plot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rwt-plot//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
